// pages/add/edit.js
const config = require("../../config/config")
const { api } = require("../../utils/api")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:{
      current:1,
      pageSize:10
    },
    tmpList:[],
    fileList:[],
    form:{
      name:'',

    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.fetchList()
  },

  fetchList(){
    const data = {...this.data.page}
    api('/farmTemplate/list','POST',data,'json').then(res => {
      if (res.code === 200){
        const tmps = res.data.list
        this.setData({tmpList:tmps})
      }
    })
  },

  upload(file){
    const fileList = file.detail.files
    this.setData({fileList:fileList})
    wx.uploadFile({
      header:{
        'Authorization': 'Bearer ' + wx.getStorageSync('token'),
      },
      name:"file",
      filePath: fileList[0].url,
      url: config.baseUrl + '/oss/upload',
      success: res => {
          if(res.errMsg.indexOf("uploadFile:ok") > -1){
              const data = JSON.parse(res.data)
              const id = data.data.file.id
          }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})